#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Arbitrary precision calculator
Summary(pl.UTF-8):	Kalkulator operujący na liczbach z dowolną dokładnością
Name:		calc
Version:	2.15.0.7
Release:	1
License:	LGPL v2.1+
Group:		Applications/Math
Source0:	http://www.isthe.com/chongo/src/calc/%{name}-%{version}.tar.bz2
# Source0-md5:	af55da3b29128f1f8d4ce4412cbf09fd
Source1:	%{name}.desktop
URL:		http://www.isthe.com/chongo/tech/comp/calc/
BuildRequires:	readline-devel >= 4.2
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# libraries have circular dependencies
%define		no_install_post_check_so	1

%description
Calc is arbitrary precision arithmetic system that uses a C-like
language. Calc is useful as a calculator, an algorithm prototyped and
as a mathematical research tool. It comes with a rich set of
mathematical, programmatic and stdio functions.

%description -l pl.UTF-8
Calc jest systemem arytmetycznym o nieograniczonej dokładności,
używającym języka podobnego do C. Calc jest przydatny jako kalkulator,
narzędzie do testowania algorytmów i do badań matematycznych. Do
samego programu dołączony jest bogaty zestaw funkcji bibliotecznych -
matematycznych, programistycznych i funkcji wejścia/wyjścia

%package devel
Summary:	Calc header files and static libraries
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteki statyczne Calca
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	calc-static < 2.11.8

%description devel
These header files and static libraries are neccessary to build
programs using Calc math libraries. These libraries contain a set of
Calc functions to use in other applications.

%description devel -l pl.UTF-8
Te pliki nagłówkowe i biblioteki statyczne są niezbędne przy budowaniu
programów wykorzystujących biblioteki matematyczne Calca. Biblioteki
te zawierające zbiór funkcji Calca do wykorzystania we własnych
programach.

%prep
%setup -q

%build
%{__make} -j1 \
	LCC="%{__cc}" \
	DEBUG="%{rpmcflags}" \
	USE_READLINE=-DUSE_READLINE \
	READLINE_LIB="-lreadline -lhistory" \
	READLINE_INCLUDE=%{_includedir} \
	SCRIPTDIR=%{_datadir}/calc/cscript

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	LIBDIR=%{_libdir} \
	T=$RPM_BUILD_ROOT \
	SCRIPTDIR=%{_datadir}/calc/cscript

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%{__rm} $RPM_BUILD_ROOT%{_datadir}/calc/README

find $RPM_BUILD_ROOT%{_datadir}/calc -type f | \
       xargs %{__sed} -i -e 's|#!/usr/local/bin/calc|#!%{_bindir}/calc|g'

# redundant symlinks
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.so.%(echo %{version} | cut -d. -f1-3)

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING is not just LGPL text, only some explanations
%doc BUGS CHANGES COPYING README.md
%attr(755,root,root) %{_bindir}/calc
%attr(755,root,root) %{_libdir}/libcalc.so.*.*.*.*
%attr(755,root,root) %{_libdir}/libcustcalc.so.*.*.*.*
%{_datadir}/calc
%{_desktopdir}/calc.desktop
%{_mandir}/man1/calc.1*

%files devel
%defattr(644,root,root,755)
%doc LIBRARY
%attr(755,root,root) %{_libdir}/libcalc.so
%attr(755,root,root) %{_libdir}/libcustcalc.so
%{_includedir}/calc
%changelog
* Thu May 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/calc.git;a=log;h=master

* Thu May 30 2024 Jakub Bogusz <qboosh@pld-linux.org> cafab02
- updated to 2.15.0.7

* Sun Dec 10 2023 Jakub Bogusz <qboosh@pld-linux.org> 58bd898
- updated to 2.15.0.2

* Sat Oct 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 6ec3768
- updated to 2.15.0.1

* Sat Jun 24 2023 Adam Osuchowski <adwol@pld-linux.org> 10b4061
- up to 2.14.1.6

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> cfdc5be
- release 2 (by relup.sh)

* Sun Dec 02 2018 Jakub Bogusz <qboosh@pld-linux.org> e45e5b1
- cleanup

* Thu Nov 29 2018 Adam Gołębiowski <adamg@pld-linux.org> 4093b35
- updated to 2.12.7.2

* Tue Nov 06 2018 Adam Gołębiowski <adamg@pld-linux.org> 140849f
- updated to 2.12.7.1

* Fri Oct 12 2018 Adam Gołębiowski <adamg@pld-linux.org> 27db0f5
- updated to 2.12.6.8

* Wed Jun 27 2018 Adam Osuchowski <adwol@pld-linux.org> 7197275
- up to 2.12.6.7

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 353990c
- disable undefined symbol check in so libs due to circular deps
- rel 3

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> f03a25a
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Fri Sep 03 2010 lisu <lisu@pld-linux.org> 8510fc0
- 2.12.4.3

* Sun Mar 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> dd28301
- rel 3

* Sun Mar 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> bb9d726
- make check for tests

* Sun Mar 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2fcefdf
- run test suite

* Sun Mar 08 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 5ccae81
- added calc-ppc.patch; rel 2.1 for tests

* Sun Mar 08 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 5c65f2d
- try to build calc on PPC too (thx sparky)

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> eaf6d78
- release 2

* Fri Oct 24 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> 2c54310
- updated to 2.12.4.0

